Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessible.RelationFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAccessible.RelationFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAccessible

    public static final class QAccessible.RelationFlag

extends java.lang.Enum
implements QtEnumerator

This enum type defines bit flags that can be combined to indicate the relationship between two accessible objects. Implementations of relationTo() return a combination of these flags. Some values are mutually exclusive.

Implementations of navigate() can accept only one distinct value.

See Also:
  Serialized Form

Field Summary
`static QAccessible.RelationFlag` | `Ancestor` The first object is a parent of the second object.
`static QAccessible.RelationFlag` | `Child` The first object is a direct child of the second object.
`static QAccessible.RelationFlag` | `Controlled` The first object is controlled by the second object.
`static QAccessible.RelationFlag` | `Controller` The first object controls the second object.
`static QAccessible.RelationFlag` | `Covered` The first object is covered by the second object.
`static QAccessible.RelationFlag` | `Covers` The first object covers the second object.
`static QAccessible.RelationFlag` | `Descendent` The first object is an indirect child of the second object.
`static QAccessible.RelationFlag` | `Down` The first object is below the second object.
`static QAccessible.RelationFlag` | `FocusChild` The first object is the second object's focus child.
`static QAccessible.RelationFlag` | `GeometryMask`
`static QAccessible.RelationFlag` | `HierarchyMask`
`static QAccessible.RelationFlag` | `Label` The first object is the label of the second object.
`static QAccessible.RelationFlag` | `Labelled` The first object is labelled by the second object.
`static QAccessible.RelationFlag` | `Left` The first object is left of the second object.
`static QAccessible.RelationFlag` | `LogicalMask`
`static QAccessible.RelationFlag` | `Right` The first object is right of the second object.
`static QAccessible.RelationFlag` | `Self` The objects are the same.
`static QAccessible.RelationFlag` | `Sibling` The objects are siblings.
`static QAccessible.RelationFlag` | `Unrelated` The objects are unrelated.
`static QAccessible.RelationFlag` | `Up` The first object is above the second object.

Method Summary
`static QAccessible.Relation` | `createQFlags(QAccessible.RelationFlag[] values)` This function creates a com.trolltech.qt.gui.QAccessible$Relation with the specified `com.trolltech.qt.gui.QAccessible$RelationFlag[]` QAccessible$RelationFlag values set.
`static QAccessible.RelationFlag` | `resolve(int value)` Returns the QAccessible$RelationFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.RelationFlag` | `valueOf(java.lang.String name)`
`static QAccessible.RelationFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Unrelated

    public static final QAccessible.RelationFlag Unrelated

  The objects are unrelated.

### Self

    public static final QAccessible.RelationFlag Self

  The objects are the same.

### Ancestor

    public static final QAccessible.RelationFlag Ancestor

  The first object is a parent of the second object.

### Child

    public static final QAccessible.RelationFlag Child

  The first object is a direct child of the second object.

### Descendent

    public static final QAccessible.RelationFlag Descendent

  The first object is an indirect child of the second object.

### Sibling

    public static final QAccessible.RelationFlag Sibling

  The objects are siblings.

### HierarchyMask

    public static final QAccessible.RelationFlag HierarchyMask

### Up

    public static final QAccessible.RelationFlag Up

  The first object is above the second object.

### Down

    public static final QAccessible.RelationFlag Down

  The first object is below the second object.

### Left

    public static final QAccessible.RelationFlag Left

  The first object is left of the second object.

### Right

    public static final QAccessible.RelationFlag Right

  The first object is right of the second object.

### Covers

    public static final QAccessible.RelationFlag Covers

  The first object covers the second object.

### Covered

    public static final QAccessible.RelationFlag Covered

  The first object is covered by the second object.

### GeometryMask

    public static final QAccessible.RelationFlag GeometryMask

### FocusChild

    public static final QAccessible.RelationFlag FocusChild

  The first object is the second object's focus child.

### Label

    public static final QAccessible.RelationFlag Label

  The first object is the label of the second object.

### Labelled

    public static final QAccessible.RelationFlag Labelled

  The first object is labelled by the second object.

### Controller

    public static final QAccessible.RelationFlag Controller

  The first object controls the second object.

### Controlled

    public static final QAccessible.RelationFlag Controlled

  The first object is controlled by the second object.

### LogicalMask

    public static final QAccessible.RelationFlag LogicalMask

Method Detail

### values

    public static QAccessible.RelationFlag[] values()

### valueOf

    public static QAccessible.RelationFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAccessible.Relation createQFlags(QAccessible.RelationFlag[] values)

  This function creates a com.trolltech.qt.gui.QAccessible$Relation with the specified `com.trolltech.qt.gui.QAccessible$RelationFlag[]` QAccessible$RelationFlag values set.

### resolve

    public static QAccessible.RelationFlag resolve(int value)

  Returns the QAccessible$RelationFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD